### Function

# PangoCairo show_error_underline

#### Declaration [src]

    void
    pango_cairo_show_error_underline (
      cairo_t* cr,
      double x,
      double y,
      double width,
      double height
    )

#### Description [src]

Draw a squiggly line in the specified cairo context that approximately covers the given rectangle in the style of an underline used to indicate a spelling error.

The width of the underline is rounded to an integer number of up/down segments and the resulting rectangle is centered in the original rectangle.

Available since: | 1.14

#### Parameters

`cr` | `cairo_t*`
| A Cairo context.
| The data is owned by the caller of the function.
`x` | `double`
| The X coordinate of one corner of the rectangle.
`y` | `double`
| The Y coordinate of one corner of the rectangle.
`width` | `double`
| Non-negative width of the rectangle.
`height` | `double`
| Non-negative height of the rectangle.